com.impinj.octane

## Class BackgroundWorker

- java.lang.Object
- - java.lang.Thread
  - - com.impinj.octane.BackgroundWorker

- All Implemented Interfaces:
    java.lang.Runnable

      public class BackgroundWorker
      extends java.lang.Thread

  An internal class that is currently unused

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.lang.Thread

      `java.lang.Thread.State, java.lang.Thread.UncaughtExceptionHandler`

  - ### Field Summary

    - ### Fields inherited from class java.lang.Thread

      `MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BackgroundWorker(int sleepTimeInMilliseconds)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isQueueEmpty()`
    `boolean` | `isTryingToStop()`
    `void` | `run()`
    `void` | `tryToStop()`
    `void` | `workOn(java.lang.reflect.Method method)`

    - ### Methods inherited from class java.lang.Thread

      `activeCount, checkAccess, clone, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BackgroundWorker

          public BackgroundWorker(int sleepTimeInMilliseconds)

  - ### Method Detail

    - #### run

          public void run()

      Specified by:
        `run` in interface `java.lang.Runnable`
      Overrides:
        `run` in class `java.lang.Thread`

    - #### workOn

          public void workOn(java.lang.reflect.Method method)

    - #### isQueueEmpty

          public boolean isQueueEmpty()

    - #### tryToStop

          public void tryToStop()

    - #### isTryingToStop

          public boolean isTryingToStop()